package com.clx.performance.param.mq;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @ClassName InternalMessageDTO
 * @Description
 * @Author kavin
 * @Date 2024/10/16 15:17
 * @Version 1.0
 */
@Getter
@Setter
public class InternalMessageParam {
    //站内信大类业务code
    private String businessType;

    //站内信模版业务详情自定义Code （业务原始Code或自定义code）
    private Integer typeCode;

    //内容参数
    List<String> variableList;

    //跳转地址参数
    List<String> jumpUrlVariableList;


    //站内信点对点的用户
    private Long userNo;

    private String productCode;

}
